<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require './phpmailer/src/Exception.php';
require './phpmailer/src/PHPMailer.php';
require './phpmailer/src/SMTP.php';
require 'verification.php';
//后端验证信息完整
if (empty($_POST['email']) || empty($_POST['name']) || empty($_POST['offer'])) {
	echo json_encode(array('response' => 'error', 'Message' => '请填写必填信息！'));
	exit;
}
//后端验证邮箱格式
if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
        echo json_encode(array('response' => 'error', 'Message' => '邮箱格式错误'));
        exit;
    }
//后端验证是否进行人机验证
if (empty($_POST['captcha_token']) || empty($_POST['captcha_pointJson'])) {
	echo json_encode(array('response' => 'error', 'Message' => '请完成安全验证后再提交信息！'));
	exit;
}
//后端进行二次验证
$repCode=check_token($_POST['captcha_token'], $_POST['captcha_pointJson']);
if ($repCode=='6111'){
  echo json_encode(array('response' => 'error', 'Message' => '安全验证错误，您的IP已被记录！'));
	exit;
}

//验证通过，发送邮件

/* --------------------------------------------
  // 收件 Email
--------------------------------------------- */

$toEmail = ""; // 必填，替换为您的收件电子邮件地址


/* --------------------------------------------
  // 发件 Email
--------------------------------------------- */

$fromEmail = "";  // 必填，替换您的发件电子邮件地址
$fromName = $_POST['name']; // 您的发件名，建议默认为报价昵称


/* --------------------------------------------
  // 域名
--------------------------------------------- */

$website = $_SERVER['HTTP_HOST']; 	   // 获取当前域名


/* --------------------------------------------
  // 标题
--------------------------------------------- */
$subject = "有人报价啦~"; // 邮件标题


if (isset($_POST['name'])) {


$mail = new PHPMailer(true);

$mail->isSMTP();
$mail->SMTPDebug = 0;
$mail->Host = ''; //必填，SMTP地址
$mail->SMTPAuth = true;
$mail->Username = ""; //必填，SMTP 用户名
$mail->Password = ""; // 必填，SMTP 密匙
$mail->SMTPSecure = 'ssl';
$mail->Port = 465;

// End of SMTP

if (filter_var($toEmail, FILTER_VALIDATE_EMAIL)) {

	$mail->AddAddress($toEmail);
	$mail->setFrom($fromEmail, $fromName);
	$mail->addReplyTo($_POST['email'], $_POST['name']);

	$mail->isHTML(true);
	$mail->CharSet = 'UTF-8';
	
	$mail->Subject = $subject . ' [' . $_SERVER['HTTP_HOST'] . ']';

	$mail->Body = '<table align="center" border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
						<tr>
							<td align="center" valign="top">
								<table width="600" bgcolor="#333" valign="top" style="font-size:17px; padding:10px;">
									<tr>
										<td style="text-align:center;" width="100" valign="top"><h1 style="color:#fff;">'.$website.'</h1></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td align="center" valign="top">
								<table width="600" bgcolor="#f8f6fe" cellpadding="7" style="font-size:16px; padding:30px; line-height: 28px;">
									<tr>
										<td style="text-align:right; padding-right: 20px;" width="100" valign="top"><strong>昵称:</strong></td>
										<td>' . $_POST['name'] . '</td>
									</tr>
									<tr>
										<td style="text-align:right; padding-right: 20px;" width="100" valign="top"><strong>Email:</strong></td>
										<td>' . $_POST['email'] . '</td>
									</tr>
									<tr>
										<td style="text-align:right; padding-right: 20px;" width="100" valign="top"><strong>报价:</strong></td>
										<td>' . $_POST['offer'] . ' ¥</td>
									</tr>
									<tr>
										<td style="text-align:right; padding-right: 20px;" width="100" valign="top"><strong>留言:</strong></td>
										<td>' . $_POST['message'] . '</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>';
	


	$success = "感谢您与我们联系，我们会尽快给您答复."; // Success Message

	try {
		$resp = $mail->send();
		echo json_encode(array('response' => 'success', 'Message' =>  $success ));
		exit;
	} catch (Exception $e) {
		echo json_encode(array('response' => 'error', 'Message' => '无法发送消息: ' . $e->errorMessage() ));
		exit;
	} catch (\Exception $e) {
		echo json_encode(array('response' => 'error', 'Message' => '无法发送消息: ' . $e->getMessage()  ));
		exit;
	}
} else {
	echo json_encode(array('response' => 'error', 'Message' => '收件人电子邮件地址无效!'));
	exit;
}
} else {
    echo json_encode(array('response' => 'error', 'Message' => '非法访问'));
    exit;
}
?>